<template>
    <div
        v-if="data"
        class="review_collector"
    >
        <div class="review_collector__modal">
            <Modal
                content-class="review_collector__modal"
                :show="show"
                hide-footer
                hide-header
                :title="data.title"
                @close="$emit('close')"
            >
                <div
                    v-if="data.text"
                    class="review_collector__desc"
                >
                    {{ data.text }}
                </div>
                <div
                    v-if="data.footer"
                    class="review_collector__desc review_collector__desc_small"
                >
                    {{ data.footer }}
                </div>
                <AddReview @submit="submit" />
            </Modal>
        </div>
    </div>
</template>

<script>
import Modal from '@/components/elements/Modal.vue'
import AddReview from './AddReview.vue'

export default {
    components: {
        Modal,
        AddReview
    },
    props: {
        data: {
            default: () => {
                return {
                    title: 'Awesome!😝',
                    text: 'You revenue from SMS campaigns just has exceeded XXX$!',
                    footer: 'Keep it!',
                    type: 'recovered_sms_campaigns_more_than_x',
                }
            }
        },
        show: {
            type: Boolean,
            default: false,
        },
    },
    methods: {
        submit(review) {
            if(this.data.source) review.source = this.data.source
            this.$emit('sendReview', review)
        }
    }
}
</script>
<style lang="scss">
@import '../../../css/review-collector/index.scss';
</style>


